@typescript-eslint/parser versions and peer dependencies

The table below has a list of all versions of @typescript-eslint/parser compatible peers dependencies.

Version Peer Dependency Versions
0.1.0 - 0.2.1
  • eslint @ >=4.19.1
  • typescript @ *
1.0.0 - 1.1.0
  • eslint @ >=4.19.1
  • typescript @ *
1.1.1 - 1.7.0
  • eslint @ ^5.0.0
  • typescript @ *
1.8.0 - 1.13.0
  • eslint @ ^5.0.0
2.0.0 - 2.34.0
  • eslint @ ^5.0.0 || ^6.0.0
3.0.0 - 3.10.1
  • eslint @ ^5.0.0 || ^6.0.0 || ^7.0.0
4.0.0 - 4.31.0
  • eslint @ ^5.0.0 || ^6.0.0 || ^7.0.0